commit 19cf19828710c741525c600db877b49c883ba1ab
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Mar 3 00:24:30 2025 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d10e5495f4e..df2d23d80c7 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-03-02  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2024-12-29  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/116720
+	* config/riscv/thead.cc (th_mempair_operands_p): Test for
+	aligned memory after swapping operands.  Simplify test for
+	first memory access as well.
+
 2025-02-27  Haochen Jiang  <haochen.jiang@intel.com>
 
 	* config/i386/x86-tune.def
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 08a14c75034..b12838a3943 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250302
+20250303
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 833cb7c4339..25ac9c8c735 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,23 @@
+2025-03-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-02-28  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/116961
+	* d-codegen.cc (build_float_cst): Change new_value type from real_t to
+	real_value.
+	* d-ctfloat.cc (CTFloat::fabs): Default initialize the return value.
+	(CTFloat::ldexp): Likewise.
+	(CTFloat::parse): Likewise.
+	* d-longdouble.cc (longdouble::add): Likewise.
+	(longdouble::sub): Likewise.
+	(longdouble::mul): Likewise.
+	(longdouble::div): Likewise.
+	(longdouble::mod): Likewise.
+	(longdouble::neg): Likewise.
+	* d-port.cc (Port::isFloat32LiteralOutOfRange): Likewise.
+	(Port::isFloat64LiteralOutOfRange): Likewise.
+
 2025-02-10  Arsen Arsenović  <arsen@aarsen.me>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 324ed7193bb..83ff5207074 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2025-03-02  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2024-12-29  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/116720
+	* gcc.target/riscv/pr116720.c: New test.
+
+2025-03-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-02-28  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/116961
+	* gdc.dg/pr116961.d: New test.
+
 2025-02-27  Jason Merrill  <jason@redhat.com>
 
 	* g++.dg/cpp2a/concepts-pr67774.C: Change target to c++20_only.

